<template>
  <div class="container mt-5">
    <div class="d-flex justify-content-center p-2">
      <a class="btn btn-outline-secondary" href="/about.html#contact">Contact</a>
      <a class="btn btn-outline-secondary mx-4" href="/privacy.html">Data Privacy</a>
      <a class="btn btn-outline-secondary" href="/imprint.html">Imprint</a>
    </div>
    <div class="row p-3">
      <div class="col-4 d-flex justify-content-center">
        <a class="logo logo-dfg" href="https://www.dfg.de/" title="Deutsche Forschungsgemeinschaft e.V." target="_blank">
        </a>
      </div>
      <div class="col-4 d-flex justify-content-center">
        <a class="logo logo-uni-goe" href="https://uni-goettingen.de/" title="Georg August University Goettingen" target="_blank">
        </a>
      </div>
      <div class="col-4 d-flex justify-content-center">
        <a class="logo logo-sub" href="https://sub.uni-goettingen.de/" title="State- and University Library Goettingen" target="_blank">
        </a>
      </div>
    </div>
    <div class="row p-2">
      <small class="text-center">
        © {{ new Date().getFullYear() }} – Ahiqar - The Syriac and Arabic Ahiqar Texts (<a href="https://gitlab.gwdg.de/subugoe/ahiqar/website/-/blob/main/CHANGELOG.md" class="grey--text text--lighten-3 text-decoration-none" target="_blank">v{{ version }}</a>)
      </small>
    </div>
  </div>
</template>

<script>
import { version } from '../../../package.json';

export default {
  data() {
    return {
      version: '',
    }
  },
  created() {
    this.version = version;
  }
}
</script>


<style lang="scss" scoped>

.container {
  border-top: 1px solid var(--c-border);
}

.logo {
  height: 30px;
  width: 100%;

  background-size: contain;
  background-position: center top;
  background-repeat: no-repeat;
}

.logo-uni-goe {
  background-image: url(/assets/images/GOE_Logo_Quer_Farbe.svg);

  html.dark & {
    background-image: url(/assets/images/GOE_Logo_Quer_Farbe_NEG.svg);
  }
}

.logo-dfg {
  background-image: url(/assets/images/dfg_logo_schriftzug.svg);

  html.dark & {
    background-image: url(/assets/images/dfg_logo_schriftzug_weiss.svg);
  }
}

.logo-sub {
  background-image: url(/assets/images/SUB_right_horizontal_cmyk.svg);
  height: 20px;
  html.dark & {
    background-image: url(/assets/images/SUB_right_horizontal_white.svg);
  }
}
</style>
